=== gtksourceview 2.6.1 ===

2009-04-12  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.6.1

2009-04-12  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/asp.lang:
	Add some missing keywords, patch Fabio Zendhi Nagao.

2009-04-12  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/gtksourcelanguage-parser-2.c: do not leak
	id string on the error codepath.

2009-04-12  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/verilog.lang:
	Add some missing keywords. Bug #577892, patch by Ben James.

2009-03-18  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/prolog.lang:
	Add "consult" word and minor fix highlighting variables.

=== gtksourceview 2.6.0 ===

2009-03-15  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.6.0

2009-03-13  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/octave.lang: use % for
	code comments since matlab does not like #.

2009-03-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/prolog.lang:
	* gtksourceview/language-specs/Makefile.am:
	* gtksourceview/language-specs/testfiles.sh:
	Add prolog lang file.

=== gtksourceview 2.5.6 ===

2009-03-02  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.5.6

2009-02-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gtksourceview/language-specs/po.lang: added
	text/x-gettext-translation-template mime type

2009-02-26  Thomas H.P. Andersen  <phomes@gmail.com>

	* tests/test-widget.c: Replace deprecated gtk symbol. Bug #572085

2009-02-25  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/gtksourcemark.c: chain up finalize.

=== gtksourceview 2.5.5 ===

2009-02-15  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.5.5

2009-02-10  Johannes Schmid  <jhs@gnome.org>

	* gtksourceview/gtksourceview.c (update_current_line_color):
	#570492 – Canot open editor - crash

2009-02-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/cobalt.xml:
	Mark strings for translation.

2009-02-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/cobalt.xml:
	* gtksourceview/language-specs/Makefile.am:
	Add new blue based style. Thanks to Will Farrington.

=== gtksourceview 2.5.4 ===

2009-01-19  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.5.4

2009-02-02  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/octave.lang: support matlab
	multiline comments. Patch by Brendan Bycroft.
	(Fixes bug #556365).

2009-01-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/rpmspec.lang:
	Add %else to rpm spec language. Patch by Matthias Clasen.
	(Fixes bug #569771).

=== gtksourceview 2.5.3 ===

2009-01-19  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.5.3

2009-01-19  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/php.lang: add
	missing "endif" keyword.

2009-01-19  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/dosbatch.lang:
        * gtksourceview/language-specs/Makefile.am:
        * gtksourceview/language-specs/testfiles.sh:
        * po/POTFILES.in:
	Add a very simle lang file for dos batch files.

2009-01-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/asp.lang:
	Updated. Thanks to Fabio Nagao.

2009-01-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/makefile.lang:
	Use proper strings for translation and add context.
	(Fixes bug #567247)

2009-01-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

        * gtksourceview/language-specs/asp.lang:
        * gtksourceview/language-specs/Makefile.am:
        * gtksourceview/language-specs/testfiles.sh:
        * po/POTFILES.in:
        Add ASP lang file by Fabio Nagao.

=== gtksourceview 2.5.2 ===

2009-01-05  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.5.2

2009-01-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gtksourceview/gtksourceview.c: verticall align category mark pixbuf 
	in the middle of the line (fixes #566408).

2008-12-31  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c
	(gtk_source_context_engine_text_inserted):
	The commit before the last one was broken, now bug #566131
	is really fixed.

2008-12-31  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/nsis.lang
	* gtksourceview/language-specs/t2t.lang
	* gtksourceview/language-specs/cmake.lang
	* gtksourceview/language-specs/Makefile.am:
	New lang files: CMake, NSIS, and txt2tags.
	* gtksourceview/language-specs/ini.lang: variable names may
	contain dash.
	* gtksourceview/language-specs/desktop.lang: added bunch of
	catefories from the f.d.o. spec.
	* gtksourceview/language-specs/kate.xml,
	* gtksourceview/language-specs/testfiles.sh: updated.

2008-12-31  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c
	(gtk_source_context_engine_text_inserted):
	Bug 566131 – Syntax highlightig bug; Backspace and Enter.

2008-12-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/pascal.lang:
	Add the missing words. (Fixes bug #565789).

=== gtksourceview 2.5.1 ===

2008-12-26  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.5.1

2008-12-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/pascal.lang:
	Add several words to highlight. (Fixes bug #565172)

2008-12-19  Jürg Billeter  <j@bitron.ch>

	* gtksourceview/language-specs/vala.lang: add owned, unowned,
	yield, and yields to keyword list

2008-12-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceview.c
	(gtk_source_view_get_mark_category_pixbuf): do not call
	g_object_ref() on a NULL. Bug #564714, patch by Mike Spivey.

2008-12-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/awk.lang:
	Add builtin functions to awk lang file. Fixes bug #564242.

2008-12-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

        * gtksourceview/gtksourcestylescheme.c:
        Typo in property. Fixes bug #564225.

2008-12-10  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/gtksourcelanguage.c: fix cut and paste error
	causing wrong values in gobject properties. Bug #564142.

2008-12-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/pascal.lang:
	Add downto highlight. Fixes bug #563271.

2008-12-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/dtd.lang:
	* gtksourceview/language-specs/po.lang:
	* gtksourceview/language-specs/m4.lang:
	* gtksourceview/language-specs/changelog.lang:
	* gtksourceview/language-specs/xslt.lang:
	* gtksourceview/language-specs/makefile.lang:
	* gtksourceview/language-specs/gap.lang:
	* gtksourceview/language-specs/yacc.lang:
	Mark strings for translation.

2008-12-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/vala.lang:
	* gtksourceview/language-specs/xslt.lang:
	Mark string for translation.

2008-12-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/dot.lang:
	Mark string for translation.

2008-12-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/gtk-doc.lang:
	Added the "Deprecated" word to gtk-doc.

2008-12-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/gtksourceview.c:
	Removed check.

2008-12-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/gtksourceview.c:
	* gtksourceview/gtksourceview.h:
	Added non-breaking spaces drawing.

2008-11-29  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceiter.c: (forward_chars_with_skipping):
	call g_utf8_casefold() before normalizing, to match behavior
	of the search code. Bug #496780.
	* tests/test-widget.c: added Find command.

=== gtksourceview 2.4.1 ===

2008-11-01  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.4.1

2008-11-01  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/octave.lang: add some missing keywords
	Bug #556278, patch by Søren Hauberg.

2008-10-29  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/dot.lang: add lang file for graphviz.

2008-10-29  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.c: Override insert_pixbuf()
	and insert_child_anchor() methods to notify the syntax
	highlighting engine about the change. Bug #550687.

=== gtksourceview 2.4.0 ===

2008-09-08  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.4.0

=== gtksourceview 2.3.3 ===

2008-09-08  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.3.3

2008-09-08  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/java.lang: highlight escaped chars
	in strings

2008-09-03  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/sh.lang: fix typo (podp instead
	of popd). Bug #550687.

=== gtksourceview 2.3.2 ===

2008-08-30  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.3.2

2008-08-30  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/po.lang: highlight "fuzzy" and
	"msctxt". Patch by Bob Mauchin.

2008-08-30  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/texinfo.lang:
	fix bug #549044, never ending @ignore block.

2008-08-30  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/python.lang: handle raw string
	separately since they do not contain escaped chars.

2008-08-27  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/xslt.lang: add lang file for xslt.
	* gtksourceview/language-specs/xml.lang: fix match priority bug
	needed for xslt.

2008-08-17  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/gtksourceview.c (draw_spaces_at_iter): special case
	the end iter.

=== gtksourceview 2.3.1 ===

2008-08-11  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.3.1

2008-08-11  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/gtksourcebuffer.c:
	track when the object has been constructed so that we know the
	tag-table is there and we can check bracket matches etc.

2008-08-10  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/gtksourcebuffer.c
	(gtk_source_buffer_get_source_marks_at_iter):
	do not leak list of marks.

2008-08-10  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac: restore variable used by test-widget that I removed
	by mistake.

2008-08-10  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/gtksourceview.c
	(gtk_source_view_paint_line_background):
	destroy cairo context

=== gtksourceview 2.3.0 ===

2008-08-09  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.3.0

2008-08-09  Paolo Borelli  <paolo.borelli@katamail.com>

	* configure.ac:
	* Makefile.am:
	Remove conditional switch for tests, it was used to avoid
	gnome-vfs dep on win32, but that's not needed anymore

2008-08-09  Paolo Borelli  <paolo.borelli@katamail.com>

	* gtksourceview/language-specs/sh.lang: add tr and df commands

2008-08-09  Paolo Borelli  <paolo.borelli@katamail.com>

	New API: gtk_source_view_[set|get]_draw_spaces, bug #441513.

	* gtksourceview/gtksourceview.h:
	* gtksourceview/gtksourceview.c:
	Allow to draw spaces, tabs and newlines

	* gtksourceview/gtksourcestylescheme.h:
	* gtksourceview/gtksourcestylescheme.c:
	Get the color for drawing spaces

	* tests/test-widget.c: use the new feature.

2008-08-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gtksourceview/language-specs/c.lang:
	Fixed printf style.

2008-08-05  Yevgen Muntyan  <muntyan@tamu.edu>

	New API: gtk_source_language_manager_guess_language(), bug #546060.

	* gtksourceview/gtksourcelanguagemanager.h:
	* gtksourceview/gtksourcelanguagemanager.c: (pick_lang_for_filename),
	(pick_lang_for_mime_type_pass), (pick_lang_for_mime_type),
	(grok_win32_content_type), (gtk_source_language_manager_guess_language):
	new functions.

	* tests/test-widget.c: use it here.

	* tests/Makefile.am:
	* configure.ac: removed gnome-vfs and added gio dependency.

	* docs/reference/gtksourceview-2.0-sections.txt:
	* docs/reference/tmpl/languagemanager.sgml:
	* docs/reference/tmpl/language.sgml:
	* docs/reference/tmpl/view.sgml: updated.

2008-08-05  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcestylescheme.c (parse_style): do not leak line_bg.

2008-08-05  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/csharp.lang: use different style for
	format strings.

2008-08-04  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/csharp.lang: added {...} format regex
	to strings (see bug #507125 for reference), replaced single-quoted
	string with a character context like in c.lang.

2008-08-04  Yevgen Muntyan  <muntyan@tamu.edu>

	Bug 315055 – Change the backgound color of lines containing markers
	New API: gtk_source_view_set_mark_category_background(),
	gtk_source_view_get_mark_category_background(), similar to methods
	for priority and pixbuf.

	* gtksourceview/gtksourceview.c: replaced GtkSourceViewPrivate::current_line_gc
	with current_line_color and current_line_color_set;
	added MarkCategory::background and MarkCategory::background_set;
	removed gtk_source_view_unrealize() since current line GdkGC is removed;
	(source_mark_updated_cb): call gtk_widget_queue_draw() instead of invalidating
	only margin window;
	(gtk_source_view_get_lines): added an array argument to get line heights,
	to use in line background drawing code;
	(gtk_source_view_paint_line_background), (gtk_source_view_paint_marks_background):
	new functions;
	(gtk_source_view_expose): use those; do not draw current line background if
	the widget is insensitive;
	(mark_category_set_background), (gtk_source_view_set_mark_category_background),
	(gtk_source_view_get_mark_category_background): new functions;
	(gtk_source_view_set_mark_category_pixbuf), (gtk_source_view_set_mark_category_priority):
	call gtk_widget_queue_draw() here;
	(update_current_line_color), (gtk_source_view_realize), (gtk_source_view_update_style_scheme):
	only update current line color, no need to fiddle with GdkGC anymore.
	* gtksourceview/gtksourceview.h: gtk_source_view_set_mark_category_background(),
	gtk_source_view_get_mark_category_background().
	* tests/test-widget.c: set background color for marks.

2008-08-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* tests/test-widget.c (main): corrected description of -d option.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.c (gtk_source_buffer_real_insert_text):
	Start search for matching brackets from cursor location, not from the
	location where text has been inserted.

	Patch by Armin Burgmeier, bug #543325.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/php.lang: added 'identifier'
	context, bug #497376.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	Bug 317861 – sourceview is ignoring tab settings which are set before
	it is mapped or realized.

	* gtksourceview/gtksourceview.c:
	GtkSourceViewPrivate::tabs_set - new field, which gets set in
	set_tab_stops_internal() when gtk_text_view_set_tabs() is called;
	(gtk_source_view_style_set): do not call set_tab_stops_internal()
	if tabs were not modified.

	This way gtk_text_view_set_tabs() is called only when
	gtk_source_view_set_tab_width() is called with something other than 8,
	and so GtkSourceView users (like meld in the bug above) may use
	gtk_text_view_set_tabs() themselves.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	Bug 329883 – evaluate bracket matching as soon as it's turned on.
	* gtksourceview/gtksourcebuffer.c
	(gtk_source_buffer_set_highlight_matching_brackets):
	update matching bracket immediately.
	* tests/test-widget.c: added a menu item for highlighting matching
	brackets.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* tests/apple-red.png:
	* tests/gnome-gmush.png:
	* tests/test-widget.c:
	* tests/Makefile.am:
	Added apple and mushroom icons, so that line marks in test-widget
	finally show up without gnome.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/def.lang: do not allow backslash
	in net-address. Fixes bug #541791.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	Bug 545096 – highlighting problems for DTD entities inside xml.

	* gtksourceview/language-specs/dtd.lang: do not highlight any
	unknown text as error.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	Bug 543313 – Self closed <script> tags are not accounted correctly
	in html.

	* gtksourceview/language-specs/html.lang: committed fix by pbor.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (analyze_line):
	* gtksourceview/language-specs/forth.lang:
	branched for 2.22, un-un-done the last two string changes.

=== branched for gnome-2.22 ===

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: (analyze_line):
	un-marked the new string as translatable, since strings are
	frozen.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/forth.lang: reverted last commit,
	need to branch for 2-22 first. Bureaucracy!

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/forth.lang: changed "Compiler opt"
	style name to "Compiler Directive", bug #518437.

2008-08-02  Yevgen Muntyan  <muntyan@tamu.edu>

	Bug 114337 – long lines kill GtkSourceView.
	Worked it around by disabling syntax highlighting if analyzing
	single line took more than 2 seconds.

	* gtksourceview/gtksourcecontextengine.c:
	(GtkSourceContextEnginePrivate::disabled): new field,
	(gtk_source_context_engine_update_highlight): check that field,
	(analyze_line): check elapsed time on every iteration and abort
	in two seconds,
	(update_syntax): check whether analyze_line() has disabled
	highlighting,
	(disable_highlighting): new function to turn highlighting off.

=== gtksourceview 2.2.2 ===

2008-06-23  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.2.2

2008-06-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/latex.lang: added bunch of commands.
        Bug #361209, patch by Marciano Siniscalchi.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview-2.0.pc.in: moved libxml-2.0 from Requires to
        Requires.private, added minimal versions for gtk+-2.0 and libxml-2.0.
        Bugs 501515, 508591.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/php.lang: added parentheses and
        comma to the operators list. Bug #497376, Étienne Bersac.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/ruby.lang: added bunch of builtins.
        Bug #337561, patch by gbauman.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/php.lang: added some keywords.
        Bug #150396, patch by Patryk Zawadzki.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceview.c (gtk_source_view_undo),
        (gtk_source_view_redo), (gtk_source_view_populate_popup),
        (gtk_source_view_paint_margin): check whether the buffer
        is a GtkSourceBuffer, bug #139461.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/perl.lang: try to avoid problems
        with pattern rules, bugs 507075 and 535703.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.c: use a limit of 10000
        instead of 2000 for searching matching brackets.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/ocaml.lang: fix camlCase
        highlighting. Bug 532698.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/haskell.lang: {- -} comments
        may be nested, bug #532964.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/sh.lang: do not treat <<< as
        here-document start. Bug #538762.

2008-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/ruby.lang (predefined-variables):
        do not use \b after non-word characters, fixes bug #538967.
	* gtksourceview/language-specs/objc.lang: highlight self and
        super; highlight nil and Nil as YES and NO.

2008-06-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* tests/test-widget.c: Fixed compilation warning.

2008-06-05  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c: do not (un)indent if the view is
	not editable. Bug #536554.

2008-04-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview-zip.in: zip style schemes and fix docs dir.

2008-04-25  Juerg Billeter  <j@bitron.ch>

	* gtksourceview/language-specs/vala.lang: update keyword list to
	match Vala 0.3.1

2008-04-13  Armin Burgmeier  <armin@arbur.net>

	* gtksourceview/gtksourceundomanager.c
	(gtk_source_undo_manager_add_action),
	(gtk_source_undo_manager_insert_text_handler): Handle insertion of
	non-null-terminated strings correctly.

2008-04-11  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/octave.lang: corrected
	non-existent style reference (#527484).

2008-04-09  Yevgen Muntyan  <muntyan@tamu.edu>

	gtksourceview depends on gtk-2.12 now, so it will not be
	built with glib older than 2.14, so pcre stuff may go now.

	* configure.ac:
	* gtksourceview/Makefile.am:
	* docs/reference/Makefile.am: removed regex stuff.

	* acinclude.m4:
	* gtksourceview/regex: deleted.

2008-04-09  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/python.lang: def:line-continue
	is not needed in the main context.
	* gtksourceview/language-specs/sh.lang: 'for' loops work
	without 'in' too.
	* gtksourceview/language-specs/yacc.lang: prettified.

=== gtksourceview 2.2.1 ===

2008-04-07  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.2.1

2008-04-05  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourceview.c (gtk_source_view_class_init): add
	keybindings for move_viewport. You can now scroll one line up/down,
	one page up/down and to the beginning/end of the document without moving
	the cursor (use Shit + Alt + Up|Down|PageUp|PageDown|Home|End).

2008-04-05  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/python.lang: fix line-continue
	in double quoted strings. Bug #525751.

2008-03-30  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c: make Alt+up/down move the current
	or selected line in the buffer.

2008-03-30  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c: fix compiler warning.

=== gtksourceview 2.2.0 ===

2008-02-25  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.2.0

2008-02-29  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/c.lang: (printf): highlight
	width and precision given as '*';
	(escaped-character): highlight \b; hex digit is \\x[HEX]+,
	not \\x[HEX]{0,2};
	(string), (char): highlight 'L' prefix in wide char literals.
	* gtksourceview/language-specs/yacc.lang: prettified.
	* gtksourceview/language-specs/lua.lang: do not highlight
	_G.* in the middle of idenitifiers.

2008-02-28  Johannes Schmid <jhs@gnome.org>

	* gtksourceview/gtksourceview.c: (gtk_source_view_paint_margin):
	Fixed a small memory leak

=== gtksourceview 2.1.3 ===

2008-02-25  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.1.3

2008-02-25  Johannes Schmid <jhs@gnome.org>

	* gtksourceview/gtksourcemark.c: (gtk_source_mark_finalize):
	Initialize object correctly (will crash otherwise)

2008-02-24  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcemark.c: do not leak the category string.
	Spotted by Johannes Schmid.

2008-02-24  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/oblivion.xml: fix typo in
	the "def:shebang" style. Spotted by Chris Hollenbeck.

2008-02-06  Murray Cumming  <murrayc@murrayc.com>

	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourcebuffer.h:
	(gtk_source_buffer_remove_source_marks): Make the GtkTextIter*
	parameters const, as they are when used in this way elsewhere in this
	API. Bug #514655.

2008-02-04  Tor Lillqvist  <tml@novell.com>

	* gtksourceview-zip.in: Look for catalogs in share/locale first,
	as that is where they will be with a properly built GNU gettext.

=== gtksourceview 2.1.2 ===

2008-01-29  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.1.2

2008-01-29  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourcebuffer.h:
	* gtksourceview/gtksourceview.c:
	* gtksourceview/gtksourcemark.c:
	* tests/test-widget.c:

	Rename some of the buffer mark methods to avoid potential conflicts
	with GtkTextBuffer methods in the bindings. Bug #512481.

=== gtksourceview 2.1.1 ===

2008-01-29  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	Release 2.1.1

2008-01-28  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/eiffel.lang: add eiffel syntax file by
	Hasan Karahan <hasan.karahan81@gmail.com>.

2008-01-28  Steve Frécinaux  <code@istique.net>

	* gtksourceview/language-specs/sh.lang: highlight variables inside of
	strings, and other minor highlighting improvements; rename a few
	contextes.

	* gtksourceview/language-specs/classic.xml:
	* gtksourceview/language-specs/tango.xml:
	Adapt for above changes

2008-01-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/fortran.lang: highlight floating
	point constants properly; highlight BOZ literals (#496781).
	* gtksourceview/language-specs/makefile.lang: escaped quote does
	not start a string.
	* gtksourceview/language-specs/sh.lang: def:escape is wrong in
	shell strings; highlight $! (Luca Cavalli, #512141).
	* gtksourceview/language-specs/lua.lang: properly highlight escaped
	characters in strings.
	* gtksourceview/language-specs/forth.lang: updated.
	* gtksourceview/language-specs/testfiles.sh: added a fortran file.
	* gtksourceview/language-specs/kate.xml: nicer def:constant color.

2008-01-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceprintcompositor.c: count from 1 when deciding
	which lines should have a number.

2008-01-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/Makefile.am: remove leftover var

2008-01-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/forth.lang: new lang file,
	for Forth programming language, by Jens-Hanno Schwalm (#504730).
	* gtksourceview/language-specs/Makefile.am:
	* gtksourceview/language-specs/testfiles.sh:
	added it.

2008-01-20  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtksourceview/gtksourceprintcompositor.c: fix a couple of
	typos in docs.

2008-01-17  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/fortran.lang: added comment
	property, patch by rsachetto@gmail.com (#510032).
	* gtksourceview/language-specs/docbook.lang: removed obsolete
	dtd line.

=== gtksourceview 2.1.0 ===

2008-01-14  Paolo Maggi  <paolo@gnome.org>

	Added new gtk-print based printing API.

	* docs/reference/gtksourceview-2.0-sections.txt: updated
	* docs/reference/gtksourceview-2.0.types: updated
	* docs/reference/gtksourceview-docs.sgml: updated
	* docs/reference/tmpl/printjob.sgml: removed
	* docs/reference/tmpl/printcompositor.sgml: new file
	* gtksourceview/gtksourceprintcompositor.c: new file
	* gtksourceview/gtksourceprintcompositor.h: new file
	* gtksourceview/gtksourcebuffer.c: normalize returned value
	for boolean getters
	* gtksourceview/gtksourceview.c: ditto
	* gtksourceview/Makefile.am: updated
	* tests/test-widget.c: added test for printing

2008-01-13  Jonathon Jongsma  <jjongsma@gnome.org>

	* gtksourceview/gtksourceview.c: sort the list of marks with lowest-priority
	marks first so that they get drawn on the bottom.  Fixes bug #509167

2000-01-05  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/tmpl/stylescheme.sgml:
	* docs/reference/tmpl/languagemanager.sgml:

	Restore docs templates, use gtk-doc from trunk.

2008-01-05  Paolo Borelli  <pborelli@katamail.com>
            Johannes Schmid <jhs@gnome.org>

	* configure.ac:
	Bumped version to 2.1.0

	* docs/reference/gtksourceview-2.0-sections.txt:
	* docs/reference/gtksourceview-2.0.types:
	* docs/reference/gtksourceview-docs.sgml:
	* docs/reference/tmpl/buffer.sgml:
	* docs/reference/tmpl/languagemanager.sgml:
	* docs/reference/tmpl/mark.sgml:
	* docs/reference/tmpl/marker.sgml: (removed)
	* docs/reference/tmpl/stylescheme.sgml:
	* docs/reference/tmpl/view.sgml:

	Updated docs for new GtkSourceMark API

	* gtksourceview/Makefile.am:
	* gtksourceview/gtksourcebuffer.c: (gtk_source_buffer_class_init),
	(gtk_source_buffer_init), (gtk_source_buffer_finalize),
	(gtk_source_buffer_move_cursor),
	(gtk_source_buffer_real_insert_text),
	(gtk_source_buffer_real_delete_range), (source_mark_remove),
	(source_mark_bsearch), (source_mark_insert),
	(gtk_source_buffer_real_mark_set),
	(gtk_source_buffer_real_mark_deleted),
	(gtk_source_buffer_create_mark), (_gtk_source_buffer_mark_next),
	(_gtk_source_buffer_mark_prev),
	(gtk_source_buffer_forward_iter_to_mark),
	(gtk_source_buffer_backward_iter_to_mark),
	(gtk_source_buffer_get_marks_at_iter),
	(gtk_source_buffer_get_marks_at_line),
	(gtk_source_buffer_remove_marks):
	* gtksourceview/gtksourcebuffer.h:
	* gtksourceview/gtksourcemark.c: (gtk_source_mark_set_property),
	(gtk_source_mark_get_property), (gtk_source_mark_class_init),
	(gtk_source_mark_init), (gtk_source_mark_new),
	(gtk_source_mark_get_category), (gtk_source_mark_next),
	(gtk_source_mark_prev):
	* gtksourceview/gtksourcemark.h:
	* gtksourceview/gtksourcemarker.c: (removed)
	* gtksourceview/gtksourcemarker.h: (removed)
	* gtksourceview/gtksourceview.c: (gtk_source_view_class_init),
	(gtk_source_view_set_property), (gtk_source_view_get_property),
	(gtk_source_view_init), (gtk_source_view_finalize),
	(source_mark_updated_cb), (set_source_buffer),
	(gtk_source_view_get_lines), (sort_marks_by_priority),
	(draw_line_marks), (gtk_source_view_paint_margin),
	(gtk_source_view_set_show_line_numbers),
	(gtk_source_view_get_show_line_marks),
	(gtk_source_view_set_show_line_marks), (mark_category_new),
	(mark_category_free), (gtk_source_view_set_mark_category_pixbuf),
	(gtk_source_view_get_mark_category_pixbuf),
	(gtk_source_view_set_mark_category_priority),
	(gtk_source_view_get_mark_category_priority):
	* gtksourceview/gtksourceview.h:
	* tests/test-widget.c: (remove_all_marks), (open_file),
	(marks_toggled_cb), (button_press_cb), (create_view_window),
	(create_main_window):

	Added new GtkTextMark-based GtkSourceMark API (#487098)

2000-01-05  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtksourceview/gtksourcelanguage.c
	* docs/reference/tmpl/language.sgml
	* docs/reference/gtksourceview-2.0-sections.txt
	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourceview.c: Some doc fixes.

2007-12-29  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/reference/tmpl/buffer.sgml: fix a link in the description.

2007-12-13  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/sql.lang: highlight backtick-quoted
	strings as strings.
	* gtksourceview/language-specs/sh.lang: # does not necessarily starts
	a comment; try not to highlight known commands and keywords when they
	are parts of larger tokens, like 'local' in /usr/local.
	* gtksourceview/language-specs/kate.xml: highlight LaTeX's \usepackage
	and \include as other known commands.

2007-11-26  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/check.sh: skip check for the lang v1
	test file.

2007-11-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/docbook.lang: reverted last styles
	change, docbook elements should not look like regular xml tags.

2007-11-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/testv1.lang: do not mark anything
	for translation.
	* gtksourceview/language-specs/docbook.lang: use xml:element-name
	default style for docbook elements instead of def:keyword.
	* gtksourceview/language-specs/kate.xml: changed docbook elements
	colors.

2007-11-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/pascal.lang: fixed {} comments
	when { is the last character on the line. Patch by Oliver Sauder,
	#499675.

2007-11-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceundomanager.c: replaced a singly-linked
	list of actions with an array, to avoid freezing when undoing/redoing
	big number of actions.

2007-11-16  Steve Frécinaux  <code@istique.net>

	* gtksourceview/language-specs/php.lang: fix highlighting of null,
	true and false (e.g. is_null was highlighted as is_ null).

2007-11-12  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c: Improve performance
	with long text lines: use byte offsets in all functions which
	deal with regex matching; use less gtk_text_buffer_get_iter_at_offset()
	in apply_tags();

2007-11-10  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/pascal.lang: pascal is not case
	sensitive. Patch by Adrien Cunin, fixes bug #495666.

2007-11-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* tests/test-widget.c: parse "gtk-source-lang: foo" on the first
	line of file, modeline for poor.
	* gtksourceview/language-specs/testv1.lang: a version 1 lang file,
	for testing.
	* gtksourceview/language-specs/testfiles.sh: output file.testv1 to
	test with testv1.lang.

2007-11-02  Yevgen Muntyan  <muntyan@tamu.edu>

	Get styles mappings from def.lang when parsing version 1 lang files.

	* gtksourceview/gtksourcelanguage-private.h: new field in
	GtkSourceLanguagePrivate: 'styles_loaded', to avoid reloading
	lang file if styles are already there.
	* gtksourceview/gtksourcelanguage.c:
	(_gtk_source_language_define_language_styles): parse def.lang to get
	default styles mapping;
	(gtk_source_language_parse_file): new function, to be used in
	_gtk_source_language_create_engine and force_styles.
	* gtksourceview/language-specs/def.lang: added dummy def:def context
	needed in force_styles().

2007-10-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/po.lang: highlight C and Python strings,
	XML tags, and mnemonics in a special way.
	Patch by Ignacio Casal Quinteiro (#485519).

2007-10-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/gtk-doc.lang: require trailing
	colon after a function/signal/property name (#489736).

2007-10-21  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/fortran.lang: fortran in not case
	sensitive. Patch by John Spray.

2007-10-15  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/latex.lang: highlight \[\] and \(\).

2007-10-14  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c: do not use gtk_text_view_get_buffer
	because it causes the buffer to be recreated.

2007-10-12  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/sh.lang: there is no escaping in
	single-quoted strings.

2007-10-12  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (gtk_source_context_engine_attach_buffer),
	(_gtk_source_context_data_finish_parse): check main context in finish_parse(),
	so it doesn't crash later. Fixes #485661 (Mildred).

2007-10-03  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/csharp.lang: add 'partial' keyword.

2007-09-30  Marco Barisione <marco@barisione.org>

	* gtksourceview/language-specs/javascript.lang: add
	application/javascript to the list of mime types.

2007-09-23  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/R.lang: removed DOCTYPE line,
	not true anymore.

=== gtksourceview 2.0.0 ===

2007-09-17  Paolo Borelli  <pborelli@katamail.com>

	* NEWS:
	* README:
	* configure.ac:

	GtkSourceView 2.0.0 released.

2007-09-15  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/sh.lang: case-esac context: match
	strings before "*)" to work around its great lameness.

2007-09-14  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/php.lang: made extend-parent="true"
	for string contexts, fixes 476692.

2007-09-11  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/python.lang: relicense to LGPL, all
	authors agreed.

2007-09-09  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/perl.lang: added "pod" style
	for the POD thing; fixed invalid style references.

	* gtksourceview/language-specs/docbook.lang: use \b in keywords
	suffixes, since we don't want to match <param> as <para>, etc.

	* gtksourceview/language-specs/libtool.lang: added "constant"
	style for both booleans and numbers.

	* gtksourceview/language-specs/texinfo.lang: allow trailing whitespace
	for commands like @ignore.

	* gtksourceview/language-specs/html.lang: fixed invalid style reference.

	* gtksourceview/language-specs/rpmspec.lang: use changelog styles
	to highlight changelog stuff.

	* gtksourceview/language-specs/xml.lang: allow multiline attribute
	values; do not highlight whole tags by default, but do highlight tag
	names with element-name style.

	* gtksourceview/language-specs/kate.xml: fixed.

	* gtksourceview/language-specs/testfiles.sh: added more stuff to some
	files, to make it easier to see if something broke.

2007-09-09  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (resolve_reference):
	Say "context reference" instead of "reference".

	* gtksourceview/gtksourcelanguage-parser-2.c:
	Store filename in ParserState, and use it in warnings. Warn if
	map-to attribute is invalid.

	* gtksourceview/gtksourcelanguage.c: a typo.

	* gtksourceview/gtksourcestylescheme.c (set_cursor_colors):
	Set a flag when actually modifying cursor colors using an rc string,
	so unset_cursor_colors() doesn't have to touch those if they were
	not changed.

2007-09-09  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/docbook.lang: one more ordering issue.

2007-09-09  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/python.lang: Add 'all', 'any', 'sorted'
	and 'reversed' builtins.

2007-09-07  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/html.lang: Highlight CDATA.
	* gtksourceview/language-specs/sql.lang: some missing keywords. Patch
	by Stefan Schweizer.

2007-09-06  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/octave.lang: try to not misdetect
	the transpose operator as the start of a string and other minor
	fixes. Bug #413940.

2007-09-04  Juerg Billeter  <j@bitron.ch>

	* gtksourceview/language-specs/Makefile.am:
	* gtksourceview/language-specs/vala.lang:
	* po/POTFILES.in:
	Add syntax highlighting file for Vala. Fixes #471058.

2007-09-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (container_context_starts_here):
	Make sure it does not go into an infinite loop in case of zero-length
	match. Fixes #473123.

2007-09-01  Paolo Maggi  <paolo@gnome.org>

	* MAINTAINERS:
	* AUTHORS: updated to new format

2007-08-28  Paolo Maggi  <paolo@gnome.org>

	Style schemes can now optionally define the color of the right margin
	line and overlay using the "right-margin" style.
	The foreground color is used for the line, while the background one,
	if defined, is used for the overlay.
	If no background color is set the overlay is disabled.
	A 40/255 alpha value is applied to the line color and a 15/255 one is
	applied to the overlay color.

	* gtksourceview/gtksourcestylescheme.[ch]
	(_gtk_source_style_scheme_get_right_margin_style): new function
	to get the right-margin style

	* gtksourceview/gtksourceview.c (gtk_source_view_class_init),
	(gtk_source_view_init), (gtk_source_view_finalize),
	(gtk_source_view_expose), (update_right_margin_colors),
	(gtk_source_view_realize), (gtk_source_view_update_style_scheme):
	kill the old style properties and use the right-margin style

	* gtksourceview/language-specs/oblivion.xml:
	* gtksourceview/language-specs/tango.xml: set right-margin style

=== gtksourceview 1.90.4 ===

2007-08-28  Paolo Borelli  <pborelli@katamail.com>

	* NEWS:
	* README:
	* configure.ac:

	GtkSourceView 1.90.4 released.

2007-08-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/sh.lang: the line-comment context is
	needed by m4.lang.

2007-08-27  Paolo Maggi  <paolo@gnome.org>

	* tests/test-widget.c (get_language_for_filename),
	(get_language_for_mime_type): fix the check in the while cycle

2007-08-27  Paolo Borelli  <pborelli@katamail.com>

	* docs/reference/gtksourceview-docs.sgml: fix style scheme manager docs.

2007-08-27  Paolo Maggi  <paolo@gnome.org>

	* docs/reference/gtksourceview-2.0-sections.txt:
	* docs/reference/tmpl/languagemanager.sgml: updated

	* gtksourceview/gtksourcelanguagemanager.[ch]: modified according
	to API review, in particular list_languages has been removed and
	replace with get_language_ids.

	* gtksourceview/gtksourcestylescheme.h:
	* gtksourceview/gtksourcestyleschememanager.[ch]: indentation changes

	* tests/test-widget.c (get_language_for_filename),
	(get_language_for_mime_type): work with the new API

2007-08-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcestyleschememanager.[ch]: api review:
	style-manager -> style-scheme-manager.

	* gtksourceview/gtksourcebuffer.c: adapt to the above.
	* gtksourceview/gtksourcestylescheme.c: adapt to the above.

2007-08-27  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourcebuffer.[ch]: documentation fixes

2007-08-27  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourcestylescheme.[ch]:
	add gtk_source_style_scheme_get_authors	method

	* gtksourceview/language-specs/language2.rng: support multiple
	<author> elements
	* gtksourceview/language-specs/styles.rng: ditto
	* tests/test-widget.c (main): test for the
	gtk_source_style_scheme_get_authors method

2007-08-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.[ch]: api review: margin ->
	margin-position, show-margin -> show-right-margin.

2007-08-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/html.lang:
	* gtksourceview/language-specs/php.lang:

	Detect html inside php and viceversa. Patch by Eric Norige,
	fixes remaining part of bug #448513.

2007-08-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcebuffer.c: rise the max value for the
	max-undo-levels property and allow -1 to mean 'no limit'.

2007-08-26  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/oblivion.lang: add oblivion style
	scheme so that we have one dark scheme included.

2007-08-26  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/erlang.lang: erlang syntax.

2007-08-26  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguagemanager.[ch]: api review:
	get_language_by_id -> get_language.

2007-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcebuffer.[ch]: api review: check-brackets ->
	highlight-matching-brackets

2007-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcebuffer.[ch]: api review: highlight ->
	highlight_syntax

2007-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.[ch]: api review: tabs-width -> tab-width

2007-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.[ch]: introduce a indent-width property
	that decouples the indentation step from the tab-width setting.
	Fixes bug #352847. Based on a patch by Steve Frécinaux.

	* tests/test-widget.c: test the new functionality.

2007-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcestylescheme.c: add the "description" property
	and make _gtk_source_style_scheme_get_matching_brackets_style and
	_gtk_source_style_scheme_get_current_line_color private since they are
	just for internal use.

	* gtksourceview/gtksourcebuffer.c: adapt to the above.
	* gtksourceview/gtksourceview.c: ditto.

2007-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/makefile.lang: fix highlighting of a rule
	following an empty rule.

2007-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/php.lang: many improvements (here-doc
	strings, numbers highlighting, string variables, ...) based on a patch
	by Eric Norige on bug #448513.

2007-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/language-specs/desktop.lang:

	add comments for translators.

2007-08-22  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/python.lang: add "set" and "frozenset"
	builtins. Bug #469293.

2007-08-21  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/ruby.lang: do not highlight $stderr in
	$stderrfoo. Bug #460652.

2007-08-20  Paolo Maggi  <paolo@gnome.org>

	* docs/reference/tmpl/buffer.sgml: GtkSourceTag class does not exist
	anymore

2007-08-20  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/docbook.lang: one more  keyoword
	ordering issue.

	* gtksourceview/language-specs/ruby.lang: highlight regexes and other
	minor fixes. Patch by Eric Norige, bug #467867.

2007-08-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (create_tag),
	(gtk_source_context_engine_attach_buffer): remember number
	of created tags and set priorities of newly created tags
	accordingly, so that all highlighting tags have priority
	lower than any other tags in buffer. It is not quite right
	but is good enough as a workaround for the problem with user
	tags.

	* gtksourceview/gtksourcecontextengine.c (regex_resolve):
	Do not leak a string here.

	* gtksourceview/gtksourcelanguage-parser-2.c
	(handle_keyword_char_class_element): removed confusing variable
	which gets xmlTextReaderRead() return value, since we do not
	actually check that value.

2007-08-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcestylescheme.c (fix_style_colors),
	(parse_style):
	* gtksourceview/language-specs/styles.rng:
	* gtksourceview/gtksourcestyle.c (gtk_source_style_class_init),
	(gtk_source_style_init), (gtk_source_style_set_property),
	(gtk_source_style_get_property), (gtk_source_style_copy),
	(_gtk_source_style_apply):
	* gtksourceview/gtksourcestyle-private.h:

	New style attribute 'line-background', wrapper around
	'paragraph-background' GtkTextTag property.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/docbook.lang: make sure that
	docbook tag are not followed by a '=' since some of them
	can also be attribute names and always list 'foo' before
	'foobar' in keywords list since they are first-match.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/xml.lang: catch some errors and
	highlight them.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/boo.lang: port to the new
	format.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/sh.lang: restore sh:comment
	style since it is needed for m4.lang.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/xml.lang: new xml.lang file,
	it is not validating, but it's way faster and allows to be
	easily extended when creating xml dialects lang files.

	* gtksourceview/language-specs/docbook.lang: port to new
	format, taking advantage of the new xml.lang.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/c.lang:	TRUE and FALSE
	are preprocessor defines.

2007-08-12  Vincent Geddes  <vgeddes@gnome.org>

	* gtksourceview/gtksourceengine.h,
	* gtksourceview/gtksourcecontextengine.h,
	* gtksourceview/gtksourcelanguage.h,
	* gtksourceview/gtksourcebuffer.h,
	* gtksourceview/gtksourcelanguagemanager.h:

	Rename names of parent structs to a consistent
	`parent_instance' (#464830).

2007-08-11  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/classic.xml:
	* gtksourceview/language-specs/kate.xml:
	* gtksourceview/language-specs/tango.xml:

	add a "search-match" style. GtkSourceView itself doesn't use
	this style but editors like gedit can read it to use a color
	that fits with the rest of the style scheme when highlighting
	search matches.

2007-08-10  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/sh.lang: comments cannot span
	multiple lines. Fixes bug #337833.

2007-08-10  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/nemerle.lang: port to new format.
	* gtksourceview/language-specs/vbnet.lang: ditto.

2007-08-08  Vincent Geddes  <vgeddes@gnome.org>

	* gtksourceview/language-specs/c.lang: Add support for
	  the C99 boolean definitions (bool, false, true).
	  (#464408, thelema@swbell.net).

2007-08-01  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/R.lang: port to the new format.
	* gtksourceview/language-specs/Ruby.lang: do not highlight
	the .class method as a class keyword.

=== gtksourceview 1.90.3 ===

2007-08-01  Paolo Borelli  <pborelli@katamail.com>

	* NEWS:
	* README:
	* configure.ac:

	GtkSourceView 1.90.3 released.

2007-07-31  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/classic.xml: changed description

2007-07-31  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/classic.xml: rename the "gvim"
	color scheme to "classic".

2007-07-31  Yevgen Muntyan  <muntyan@tamu.edu>

	* configure.ac: check for unistd.h explicitly.

	* gtksourceview/gtksourcelanguage-parser-2.c: store GError* right
	in the ParserState structure, so XMl parser can set and we will
	know about it. Fixes #460002.

	* gtksourceview/gtksourcelanguage.c
	(_gtk_source_language_define_language_styles): use const char* instead
	of char* to avoid compiler warnings.
	Removed gtk_source_language_set_property() which did nothing.

2007-07-30  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/tango.xml: fix it to work with
	the new styles. But it needs to be reworked, colors are too
	light.

2007-07-30  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage.c: map the old Data Type
	style to def:type.

2007-07-30  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/python.lang:
	* gtksourceview/language-specs/ruby.lang:
	* gtksourceview/language-specs/d.lang:
	* gtksourceview/language-specs/rpmspec.lang:

	Separate python builtins, normalize style names a bit,
	other minor bugfixes.

2007-07-29  Steve Frécinaux  <code@istique.net>

	* gtksourceview/language-specs/perl.lang: use newly defined def:
	styles.

2007-07-29  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/changelog.lang:
	* gtksourceview/language-specs/gvim.xml:
	* gtksourceview/language-specs/xml.lang:

	Minor style cleanups

2007-07-29  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/csharp.lang: highlight numbers.
	* gtksourceview/language-specs/vhdl.lang: port to new format.

2007-07-28  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/rpmspec.lang: port rpm spec
	file highlighting to the new format and rename it from
	spec.lang to rpmspec.lang.
	* gtksourceview/language-specs/def.lang: fix email regex,
	'+' is allowed.

2007-07-28  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/javascript.lang:
	* gtksourceview/language-specs/xml.lang:
	* gtksourceview/language-specs/lua.lang:
	* gtksourceview/language-specs/java.lang:

	Updated to take advantage of the new style schemes.

2007-07-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/c.lang:

	fix inlcude-file highlighting.

2007-07-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/changelog.lang:
	* gtksourceview/language-specs/kate.xml:

	Highlight bullet and make changelog hl in kate scheme look
	like the original.

2007-07-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/ada.lang:

	Misc improvements.

2007-07-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/*.lang:

	Replace all uses of def:special-value style.
	Remove the compat cruft in def.lang, since it is not needed
	anymore.

2007-07-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/*.lang:

	Replace all uses of def:escape style.

2007-07-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/*.lang:

	Replace all uses of def:data-type with the new def:type and
	remove def:data-type from def.lang.
	Note that this is a plain search and replace it doesn't fix
	some lang file from abusing the type style.

2007-07-27  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/def.lang:

	First cut at a big reorganization of default styles. Largely
	based on work by Paolo Maggi. Defaults styles are now
	divided in groups providing sensible defaults even with
	minimalistic style schemes.

	* gtksourceview/language-specs/gvim.xml:
	* gtksourceview/language-specs/kate.xml:

	Adapted to the above (tango still to do, but it will be
	probably be revisited once the style stuff settles)

2007-07-26  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage.[ch]: add getter/setter
	for the 'hidden' property. Patch by Jesse van den Kieboom.

2007-07-26  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/ruby.lang: properly detect all
	predefined variables.

2007-07-26  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/d.lang: port to the new format.

2007-07-26  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcebuffer.[ch]: add a function to
	force the highlighting of a not yet exposed region to use
	when printing.

2007-07-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/ruby.lang:: fix some number
	highlighting issues. Patch by Kristoffer Lundén, fixes
	bug #454122

2007-07-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/c.lang: split storage-class
	* gtksourceview/language-specs/changelog.lang:: highlight bullet
	* gtksourceview/language-specs/ruby.lang: split booleans and
	nil from the pseudovariables context and use def:special-value
	to highlight them.

2007-07-23  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage.c:
	* gtksourceview/gtksourcelanguage-parser-2.c:

	Fix compilation with MSVC, fixes bug #459576, patch by
	Elizabeth Smith.

2007-07-22  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourcecontextengine.c (set_tag_style): cleanup
	the code a bit and do not crash when info == NULL
	* gtksourceview/gtksourcestylescheme.c
	(_gtk_source_style_scheme_new_from_file): do not crash when loading
	a invalid style scheme

2007-07-19  Paolo Borelli  <pborelli@katamail.com>

	* docs/reference/gtksourceview-2.0-sections.txt:
	* gtksourceview/gtksourcestylemanager.c:
	* gtksourceview/gtksourcestylemanager.h:
	* gtksourceview/gtksourcelanguagemanager.c:

	Minor API documentation fixes.

2007-07-17  Paolo Maggi  <paolo@gnome.org>

	Implements new gtk_source_language_get_style_ids and
	gtk_source_language_get_style_name functions.

	* gtksourceview/gtksourcecontextengine.c (set_tag_style): check
	for dependencies cycles. Adapt the code to the fact the
	ENGINE_STYLES_MAP is now containing GtkSourceStyleInfo objects
	(create_tag): s/style_name/style_id
	* gtksourceview/gtksourcelanguage-parser-2.c (parse_style),
	(parser_state_new), (parser_state_destroy), (steal_styles_mapping),
	(_gtk_source_language_file_parse_version2): the styles_mapping hashtable
	now contains GtkSourceStyleInfo objects
	* gtksourceview/gtksourcelanguage-private.h: define GtkSourceStyleInfo
	and a couple of helper functions
	* gtksourceview/gtksourcelanguage.c (gtk_source_language_dispose),
	(gtk_source_language_finalize), (gtk_source_language_init),
	(_gtk_source_language_define_language_styles), (add_style_id),
	(get_style_ids), (force_styles),
	(gtk_source_language_get_style_ids), (get_style_info),
	(gtk_source_language_get_style_name), (_gtk_source_style_info_new),
	(_gtk_source_style_info_free): implements the two new functions

	* tests/test-widget.c (open_file): print the styles defined in the
	corresponding lang file when opening a file

2007-07-17  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/language-specs/testfiles.sh: generate file.spec

2007-07-17  Yevgen Muntyan  <muntyan@tamu.edu>

	Attempt to fix usage of def:preprocessor style. def:preprocessor
	stays in, and is supposed to be used for "preprocessor things".
	Too late now to fix it, should have done it in convert.py a year ago.
	Added def:special-value style for things like TRUE and FALSE in C.

	* gtksourceview/language-specs/def.lang:
	* gtksourceview/language-specs/sql.lang:
	* gtksourceview/language-specs/javascript.lang:
	* gtksourceview/language-specs/po.lang:
	* gtksourceview/language-specs/ini.lang:
	* gtksourceview/language-specs/python.lang:
	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/scheme.lang:
	* gtksourceview/language-specs/texinfo.lang:
	* gtksourceview/language-specs/tango.xml:
	* gtksourceview/language-specs/gtkrc.lang:
	* gtksourceview/language-specs/gvim.xml:
	* gtksourceview/language-specs/css.lang:
	* gtksourceview/language-specs/perl.lang:
	* gtksourceview/language-specs/kate.xml:
	* gtksourceview/language-specs/java.lang:
	* gtksourceview/language-specs/octave.lang:
	See above.

	* gtksourceview/language-specs/pkgconfig.lang:
	Added comments.

	* gtksourceview/language-specs/testfiles.sh:
	A script which outputs bunch of files using different languages,
	to quick-test whether parsing/highlighting broke.

2007-07-17  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage.c (_gtk_source_language_new_from_file),
	(gtk_source_language_dispose):
	* gtksourceview/gtksourcestylescheme.c (gtk_source_style_scheme_get_style):
	cast pointer to a pointer to a pointer, so gcc strict aliasing thing is
	fooled by implicit conversion from a pointer to a pointer to a pointer.

	* gtksourceview/gtksourcestylemanager.c:
	(build_reference_chain): use g_warning instead of g_message;
	(slist_to_strv): don't cast void* to char*;
	(gtk_source_style_manager_set_search_path): free priv->search_path after
	setting it, so it won't break on set_search_path(get_search_path()).

	* gtksourceview/gtksourcelanguagemanager.c:
	(gtk_source_language_manager_set_search_path): same thing for
	priv->search_path.

	* tests/test-widget.c (main): do not pass NULL to g_print.

2007-07-16  Paolo Maggi  <paolo@gnome.org>
	* gtksourceview/gtksourcestylemanager.c
	(gtk_source_style_manager_get_scheme_ids): use %NULL instead of NULL
	in API documentation

2007-07-16  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourcestylemanager.c
	(gtk_source_style_manager_append_search_path),
	(gtk_source_style_manager_prepend_search_path): fixed a problem when
	the default path is used.

2007-07-16  Paolo Maggi  <paolo@gnome.org>

	* gtksourceview/gtksourcemarker.[ch]: use const instead of
	G_CONST_RETURN

2007-07-16  Paolo Maggi  <paolo@gnome.org>

	GtkSourceStyleManager API revisited

	* gtksourceview/gtksourcelanguagemanager.c
	(gtk_source_language_manager_get_default): silent a gcc warning
	(gtk_source_language_manager_set_search_path): code cleanup
	 (ensure_languages): use the new _gtk_source_view_get_file_list
	signature

	* gtksourceview/gtksourcestylemanager.[ch]: almost rewritted to
	use the updated API.

	* gtksourceview/gtksourceview-utils.[ch] (build_file_listing): added
	a only_dirs parameter

	(_gtk_source_view_get_file_list): ditto

	* tests/test-scheme.xml: test scheme
	* tests/test-widget.c: print available style schemes at startup

2007-07-14  Steve Frécinaux  <code@istique.net>

	* gtksourceview/language-specs/perl.lang: fix special variable
	handling in patterns, and recognize // after an operator (bug 456702).

2007-07-13  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcestylescheme.[ch]: add a filename
	property and the relative getter.

2007-07-13  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c:
	Ignore styles in all child contexts when use-style="no" is used.
	DefinitionChild.override_style_deep, Context.ignore_children_style:
	new struct members;
	(context_new): new argument, ignore_children_style;
	Context.ignore_children_style is propagated from parent context if not
	set explicitely.
	(_gtk_source_context_data_finish_parse): do not require error
	argument to be non-NULL.

	* gtksourceview/gtksourceview/gtksourcelanguage-parser-1.c:
	(_gtk_source_language_file_parse_version1): call
	_gtk_source_context_data_finish_parse(), this unbreaks loading old lang
	files.

	* gtksourceview/language-specs/check.sh: use a list of version-1 files,
	and check the rest.

2007-07-13  Steve Frécinaux  <code@istique.net>

	* gtksourceview/language-specs/perl.lang: fix highlighting of
	<<HEREDOC; (bug #456436). Patch by Eric Norige.

2007-07-12  Steve Frécinaux  <code@istique.net>

	* gtksourceview/language-specs/perl.lang: new lang file, much more
	complete than the old one, designed to stick as closely as possible to
	what /usr/bin/perl does.:
	 - pattern highlighting
	 - heredoc
	 - POD
	 - ...

2007-07-12  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview-utils.c: look in the correct dir
	for legacy lang files.

2007-07-10  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcecontextengine.c (regex_new), (regex_resolve):
	* gtksourceview/gtksourcelanguage-parser-2.c (expand_regex_vars),
	(expand_regex_delimiters), (expand_regex):
	Use static variables for often used regexes instead of using
	g_regex_match_simple().
	Use G_REGEX_NEWLINE_LF with all regexes to workaround bug #455640.

	* gtksourceview/language-specs/changelog.lang:
	parse little more dates, do not break when empty lines are not actually
	empty but contain whitespace.

2007-07-10  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcestylescheme.c: add description getter.

2007-07-09  Yevgen Muntyan  <muntyan@tamu.edu>

	* docs/reference/tmpl/stylescheme.sgml:
	document "selection" and "selection-unfocused" styles.

	* gtksourceview/language-specs/c.lang:
	do not highlight "#if0" as "#if 0".

2007-07-06  Paolo Borelli  <pborelli@katamail.com>

	* docs/reference/language-reference.sgml: lang format
	specification updates by thelema@swbell.net.

2007-07-05  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/testdark.xml:
	* gtksourceview/gtksourcestylescheme.c: renamed "text-selected"
	to "selection", and added "selection-unfocused".

	* gtksourceview/language-specs/lua.lang:
	removed <!DOCTYPE language SYSTEM "language.dtd"> bit.

2007-07-05  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/ruby.lang: many improvements
	by Kristoffer Lundén. Bug #419381.

=== gtksourceview 1.90.2 ===

2007-07-03  Paolo Borelli  <pborelli@katamail.com>

	* NEWS:
	* README:
	* configure.ac:

	GtkSourceView 1.90.2 released.

2007-07-03  Paolo Borelli  <pborelli@katamail.com>

	* acinclude.m4: glib 2.13.6 is good enough for gregex.

2007-07-03  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/haddock.lang:
	* gtksourceview/language-specs/haskell.lang:
	* gtksourceview/language-specs/haskell-literate.lang:

	Awesome haskell support by Duncan Coutts. Bug #453278

2007-07-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/Makefile.am: run check.sh on make check.
	* gtksourceview/language-specs/check.sh: made it work in make check,
	removed testdark.xml.

	* po/POTFILES.in:
	* po/POTFILES.skip: moved testdark.xml and gregex.c to POTFILES.skip,
	hopefully nobody will add those into POTFILES.in again.

2007-07-03  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/tango.xml: first cut of a
	tango style scheme, contributed by Michael Monreal.

2007-07-03  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/scheme.lang: escape " in strings
	* gtksourceview/language-specs/ocl.lang: New, contributed by
	Mario Carrión. Bug #345911.

2007-07-03  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourceview.c:
	* gtksourceview/gtksourceview.h:
	* tests/test-widget.c:

	Rename smart-home end enum to be consistent with other constants
	and to make python bindings happy.

2007-07-03  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcestylescheme.c (_gtk_source_style_scheme_new_from_file):
	do not leak xml.

2007-06-29  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/ruby.lang: do not detect :foo
	inside ::foo a symbol and other tweaks.

	* gtksourceview/language-specs/java.lang: do not use Others
	style.

2007-06-28  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage-parser-2.c (handle_define_regex_element):
	expand patterns in define-regex elements.
	(handle_context_element): treat empty contexts as contexts with match="$^".

	* gtksourceview/language-specs/language2.rng:
	allow empty contexts.

	* gtksourceview/language-specs/check.sh: added lua.lang, made it look
	at extension of files passed to it on command line.

	* gtksourceview/language-specs/changelog.lang: fancier date matching.

2007-06-28  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/gtk-doc.lang:
	* gtksourceview/language-specs/gvim.xml:
	* gtksourceview/language-specs/kate.xml:
	* gtksourceview/language-specs/def.lang:

	Better names for the comments with inline docs sections.

2007-06-28  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/javascript.lang:
	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/gtk-doc.lang:
	* gtksourceview/language-specs/gvim.xml:
	* gtksourceview/language-specs/kate.xml:
	* gtksourceview/language-specs/java.lang:
	* gtksourceview/language-specs/ada.lang:
	* gtksourceview/language-specs/def.lang:

	Remove def:specials since it is redundant with def:error (it
	was used for future reserved keywords), add def:inline-docs
	and modify themes to use it.

2007-06-28  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/ada.lang: misc improvements
	by thelema@swbell.net. Bug #451325.

2007-06-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/sh.lang: parse (...), so ')' isn't
	highlighted as mismatched parenthesis in m4.
	* gtksourceview/language-specs/m4.lang: more autoconf macros.

2007-06-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* docs/reference/*: renamed gtk-doc package to gtksourceview-2.0.

2007-06-27  Yevgen Muntyan  <muntyan@tamu.edu>

	Made it possible to replace contexts: <replace id="what" ref="replace-with">.
	<context ref="foo" original="true"/> refers to the original context.

	* gtksourceview/language-specs/language2.rng: added new tag and attribute.
	* gtksourceview/language-specs/m4.lang: use it here.

	* gtksourceview/gtksourcecontextengine.h:
	* gtksourceview/gtksourcecontextengine.c:
	* gtksourceview/gtksourcelanguage-parser-2.c:
	above changes.

2007-06-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/m4.lang: added AC_LANG, AC_LINK_IFELSE,
	and AC_LANG_OBJC.
	* gtksourceview/language-specs/check.sh: added awk.lang.

	* gtksourceview/gtksourcestylemanager.h:
	* gtksourceview/gtksourcestylemanager.c (gtk_source_style_manager_list_schemes):
	return pointer to internal list instead of a copy.

2007-06-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* docs/reference/tmpl/*: updated GtkSourceStyleScheme documentation.

2007-06-26  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/objc.lang: little more Objective-C stuff.

2007-06-26  Yevgen Muntyan  <muntyan@tamu.edu>

	GtkSourceStyleScheme stuff:
	It's possible to name colors in style scheme files and use those
	names instead of #RRGGBB values; to use X color names, they should
	be prefixed with #, e.g. #DarkRed.
	Style scheme files now carry mandatory version attribute.
	gtk_source_style_scheme_get_style() no longer returns new object,
	old code which unref's return value will crash.

	* gtksourceview/language-specs/gvim.xml:
	* gtksourceview/language-specs/kate.xml:
	* gtksourceview/language-specs/styles.rng:
	* gtksourceview/language-specs/testdark.xml:
	Updated.

	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourcecontextengine.c:
	Do not unref style returned from style scheme.

	* gtksourceview/gtksourcestyle-private.h:
	* gtksourceview/gtksourcestyle.h:
	* gtksourceview/gtksourcestyle.c:
	Made GtkSourceStyle CONSTRUCT_ONLY; removed gtk_source_style_new()
	which doesn't do much good after that.

	* gtksourceview/gtksourcestylescheme.h:
	* gtksourceview/gtksourcestylescheme.c:
	Implemented above stuff; removed gtk_source_style_scheme_set_style()
	until it's clear what it should do with regard to named colors.

2007-06-26  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/awk.lang: add.
	* gtksourceview/language-specs/html.lang: fix comments
	highlighting and other minor things.
	* gtksourceview/language-specs/gvim.xml: add style for
	latex math mode
	* gtksourceview/language-specs/lua.lang: remove leftover
	context.

2007-06-25  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage-parser-2.c:
	* gtksourceview/language-specs/html.lang:
	* gtksourceview/language-specs/language2.rng:
	* gtksourceview/language-specs/def.lang:

	Use case-sensitive="false" instead of case-insensitive="true".
	It makes more sense.

2007-06-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/objc.lang: oops, forgot
	to test it!

2007-06-24  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/cpp.lang: forgot to remove
	headers globs and mime types from here.

2007-06-24  Yevgen Muntyan  <muntyan@tamu.edu>

	Objective-C highlighting. Added chdr.lang to use specifically
	with C/C++/ObjC headers, since C++ won't do anymore.

	* gtksourceview/language-specs/objc.lang: actual definitions.
	* gtksourceview/language-specs/chdr.lang: C headers highlighting.
	* gtksourceview/language-specs/cpp.lang: added a context to
	include from C headers.

	* gtksourceview/language-specs/check.sh: updated.
	* gtksourceview/language-specs/Makefile.am: added those files.

2007-06-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/css.lang:
	* gtksourceview/language-specs/javascript.lang:
	* gtksourceview/language-specs/makefile.lang:
	LGPL'ed.

	* gtksourceview/language-specs/styles.rng: updated.

	* gtksourceview/gtksourcestylescheme.c: removed ParserState struct
	left from old parser.

2007-06-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/csharp.lang:
	* gtksourceview/language-specs/desktop.lang:
	LGPL'ed.

2007-06-20  Yevgen Muntyan  <muntyan@tamu.edu>

	Removed leftovers (broken) of /regex/opts syntax in lang files;
	removed dot-match-all (doing nothing) regex option. Made
	default-regex-options element use attributes instead of content like "xi".

	* gtksourceview/gtksourcelanguage-parser-2.c: above changes: do not
	parse dot-match-all; handle new default-regex-options element format;
	do not strip slashes from patterns.

	* gtksourceview/language-specs/language2.rng:
	new default-regex-options format; removed dot-match-all.

	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/convert.py:
	* gtksourceview/language-specs/csharp.lang:
	* gtksourceview/language-specs/css.lang:
	* gtksourceview/language-specs/gtk-doc.lang:
	* gtksourceview/language-specs/idl.lang:
	* gtksourceview/language-specs/java.lang:
	* gtksourceview/language-specs/javascript.lang:
	* gtksourceview/language-specs/pascal.lang:
	* gtksourceview/language-specs/php.lang:
	* gtksourceview/language-specs/scheme.lang:
	* gtksourceview/language-specs/sql.lang:
	* gtksourceview/language-specs/texinfo.lang:
	* gtksourceview/language-specs/verilog.lang:
	* gtksourceview/language-specs/xml.lang:
	Do not escape slashes.

	* gtksourceview/language-specs/html.lang:
	* gtksourceview/language-specs/latex.lang:
	Do not use /pattern/opts syntax.

2007-06-20  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourceview-i18n.c (_gtksourceview_gettext):
	added "translator-credits" string.
	* po/POTFILES.in: added gtksourcestyle.c and gtksourceview-i18n.c.

2007-06-19  Yevgen Muntyan  <muntyan@tamu.edu>

	The library is LGPL now.

	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourcebuffer.h:
	* gtksourceview/gtksourceview.h:
	* gtksourceview/language-specs/boo.lang:
	LGPL'ed.

	* README: updated to say that the library is LGPL.

2007-06-19  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourcebuffer.h:
	removed GtkSourceBuffer.marker_updated virtual function too,
	added extra padding in GtkSourceBufferClass structure.

	* gtksourceview/language-specs/tcl.lang:
	LGPL'ed.

2007-06-19  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/lua.lang: convert to new
	format and misc improvements. Patch by thelema@swbell.net.
	Fixes bug #448517.

2007-06-19  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.c:
	* gtksourceview/gtksourcebuffer.h:
	removed GtkSourceBuffer.highlight_updated virtual function.

2007-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/java.lang: LGPL'ed.

	* gtksourceview/Makefile.am: do not distribute gtksourcetypebuiltins.*,
	like gtksourcemarshal.*.

=== gtksourceview 1.90.1 ===

2007-06-19  Paolo Borelli  <pborelli@katamail.com>

	* NEWS:
	* README:
	* configure.ac:

	GtkSourceView 1.90.1 released.

2007-06-18  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/sh.lang:	LGPL'ed.

2007-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/sql.lang:
	* gtksourceview/language-specs/docbook.lang:
	* gtksourceview/language-specs/perl.lang:
	LGPL'ed.

2007-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcestylescheme.c (update_cursor_colors): don't
	confuse primary and secondary.

2007-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	Made GtkSourceStyle a GObject, with properties for text attributes,
	similar to GtkTextTag;
	made GtkSourceStyle keep colors as strings interned with g_intern_string,
	in order not to waste memory;
	style schemes use background attribute of sourcestyle for current line
	color now.

	* gtksourceview/gtksourcestyle.h:
	* gtksourceview/gtksourcestyle.c:
	implemented above changes.
	* gtksourceview/gtksourcestyle-private.h: new file to keep GtkSourceStyle
	structure.

	* gtksourceview/Makefile.am: added gtksourcestyle-private.h; made
	gtksourceview-typebuiltins.[ch] build in builddir, to make distcheck
	very happy.

	* gtksourceview/gtksourcestylescheme.h:
	* gtksourceview/gtksourcestylescheme.c:
	* gtksourceview/gtksourcecontextengine.c:
	* gtksourceview/gtksourcebuffer.c:
	updated for new GtkSourceStyle API.

	* docs/reference/gtksourceview-sections.txt:
	* docs/reference/tmpl/style.sgml:
	* docs/reference/tmpl/stylescheme.sgml:
	* docs/reference/tmpl/view.sgml:
	updated.

	* gtksourceview/language-specs/testdark.styles:
	* gtksourceview/language-specs/testdark.xml:
	renamed testdark.styles to testdark.xml.

	* gtksourceview/language-specs/kate.xml: use correct attribute for current
	line color.

2007-06-18  Yevgen Muntyan  <muntyan@tamu.edu>

	* po/mg.po:
	* po/bs.po:
	* po/cs.po:
	* po/ms.po:
	* po/rw.po:
	* po/bn.po:
	* po/hr.po:
	* po/mn.po:
	* po/az.po:
	* po/mr.po:
	* po/be.po:
	* po/ga.po:
	* po/he.po:
	* po/zh_CN.po:
	* po/ru.po:
	* po/id.po:

	removed fuzzy translations.

2007-06-18  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage.h:
	* gtksourceview/gtksourceview.h:

	add some ABI padding.

2007-06-17  Yevgen Muntyan  <muntyan@tamu.edu>

	Added 'author' and 'description' tags to style scheme files.
	Renamed style scheme files from "*.styles" to "*.xml" to make
	intltool happy.

	* gtksourceview/gtksourcestylescheme.c: parse new tags; use libxml
	parser instead of GMarkup.
	* gtksourceview/language-specs/gvim.styles:
	* gtksourceview/language-specs/gvim.xml:
	* gtksourceview/language-specs/kate.styles:
	* gtksourceview/language-specs/kate.xml: renamed and added new tags.
	* gtksourceview/language-specs/check.sh:
	* gtksourceview/language-specs/Makefile.am: renamed scheme files.
	* gtksourceview/gtksourcestylemanager.c: look for "*.xml" files now.

	* gtksourceview/gtksourcelanguagemanager.c: little bit of docs.

	* po/POTFILES.in: removed gtksourceprintjob.c and eggregex.c, added
	style scheme files.

2007-06-17  Yevgen Muntyan  <muntyan@tamu.edu>

	Continuing great relicensing.

	* README: updated the paragraph about licenses.

	* gtksourceview/language-specs/sql.lang:
	* gtksourceview/language-specs/dpatch.lang:
	* gtksourceview/language-specs/javascript.lang:
	* gtksourceview/language-specs/diff.lang:
	* gtksourceview/language-specs/dtd.lang:
	* gtksourceview/language-specs/po.lang:
	* gtksourceview/language-specs/ini.lang:
	* gtksourceview/language-specs/docbook.lang:
	* gtksourceview/language-specs/ruby.lang:
	* gtksourceview/language-specs/python.lang:
	* gtksourceview/language-specs/c.lang:
	* gtksourceview/language-specs/kate.styles:
	* gtksourceview/language-specs/php.lang:
	* gtksourceview/language-specs/gtk-doc.lang:
	* gtksourceview/language-specs/spec.lang:
	* gtksourceview/language-specs/scheme.lang:
	* gtksourceview/language-specs/libtool.lang:
	* gtksourceview/language-specs/pkgconfig.lang:
	* gtksourceview/language-specs/verilog.lang:
	* gtksourceview/language-specs/desktop.lang:
	* gtksourceview/language-specs/texinfo.lang:
	* gtksourceview/language-specs/latex.lang:
	* gtksourceview/language-specs/vbnet.lang:
	* gtksourceview/language-specs/m4.lang:
	* gtksourceview/language-specs/cpp.lang:
	* gtksourceview/language-specs/d.lang:
	* gtksourceview/language-specs/haskell.lang:
	* gtksourceview/language-specs/changelog.lang:
	* gtksourceview/language-specs/nemerle.lang:
	* gtksourceview/language-specs/language.rng:
	* gtksourceview/language-specs/pascal.lang:
	* gtksourceview/language-specs/gvim.styles:
	* gtksourceview/language-specs/html.lang:
	* gtksourceview/language-specs/gtkrc.lang:
	* gtksourceview/language-specs/fortran.lang:
	* gtksourceview/language-specs/makefile.lang:
	* gtksourceview/language-specs/csharp.lang:
	* gtksourceview/language-specs/tcl.lang:
	* gtksourceview/language-specs/css.lang:
	* gtksourceview/language-specs/ocaml.lang:
	* gtksourceview/language-specs/xml.lang:
	* gtksourceview/language-specs/R.lang:
	* gtksourceview/language-specs/perl.lang:
	* gtksourceview/language-specs/msil.lang:
	* gtksourceview/language-specs/gap.lang:
	* gtksourceview/language-specs/idl.lang:
	* gtksourceview/language-specs/sh.lang:
	* gtksourceview/language-specs/language2.rng:
	* gtksourceview/language-specs/language.dtd:
	* gtksourceview/language-specs/yacc.lang:
	* gtksourceview/language-specs/boo.lang:
	* gtksourceview/language-specs/octave.lang:
	* gtksourceview/language-specs/lua.lang:
	* gtksourceview/language-specs/java.lang:
	* gtksourceview/language-specs/ada.lang:
	* gtksourceview/language-specs/styles.rng:
	* gtksourceview/language-specs/vhdl.lang:
	* gtksourceview/language-specs/def.lang:

	Added authors, contributors and license texts.

2007-06-17  Yevgen Muntyan  <muntyan@tamu.edu>

	Beginning of great relicensing.

	* README: added a paragraph about licenses.
	* COPYING.lib, Makefile.am: added COPYING.lib with LGPL text.

	* gtksourceview/gtksourcecontextengine.c,
	gtksourceview/gtksourceengine.h,
	gtksourceview/gtksourcecontextengine.h,
	gtksourceview/gtksourcestylescheme.c,
	gtksourceview/gtksourcestylescheme.h,
	gtksourceview/gtktextregion.c,
	gtksourceview/gtksourceview-utils.c,
	gtksourceview/gtktextregion.h,
	gtksourceview/gtksourceview-utils.h,
	gtksourceview/gtksourceview-i18n.c,
	gtksourceview/gtksourceview-i18n.h,
	gtksourceview/gtksourceundomanager.c,
	gtksourceview/gtksourceundomanager.h,
	gtksourceview/gtksourceengine.c:

	Changed license in headers to LGPL.

2007-06-11  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcebuffer.c: made "highlight" property
	TRUE by default; (gtk_source_buffer_init): use default scheme;
	(gtk_source_buffer_dispose), (gtk_source_buffer_finalize): moved
	style scheme destroying to dispose().
	* gtksourceview/gtksourcelanguagemanager.h:
	* gtksourceview/gtksourcelanguagemanager.c:
	new function gtk_source_language_manager_get_default().
	* gtksourceview/gtksourcestylemanager.h:
	* gtksourceview/gtksourcestylemanager.c:
	new function gtk_source_style_manager_get_default();
	(gtk_source_style_manager_reload): removed stuff related to
	default scheme (it didn't actually work)
	* gtksourceview/gtksourcestylescheme.h:
	* gtksourceview/gtksourcestylescheme.c:
	renamed _gtk_source_style_scheme_default_new (didn't do anything)
	to _gtk_source_style_scheme_get_default (returns default style scheme now,
	using default style manager instance).
	* gtksourceview/gtksourceview.c (gtk_source_view_realize),
	(gtk_source_view_set_style_scheme): do not apply style scheme until the
	widget is realized.
	* tests/test-widget.c: use new api, no more g_object_set_data (buffer, "lang-manager").

2007-06-10  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/gtksourcelanguage-parser-2.c: avoid using
	unitialized lang_id variable in the GError message.

2007-06-09  Yevgen Muntyan  <muntyan@tamu.edu>

	* docs/reference/gtksourceview-sections.txt:
	* docs/reference/tmpl/languagemanager.sgml:
	* docs/reference/tmpl/style.sgml:
	* docs/reference/tmpl/gtksourceview-unused.sgml:
	* docs/reference/tmpl/language.sgml:
	* docs/reference/tmpl/stylescheme.sgml:
	* docs/reference/tmpl/stylemanager.sgml:
	* gtksourceview/gtksourcestyle.c:

	Little more docs.

2007-06-09  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcelanguage.c: (_gtk_source_language_new_from_file):
	add weak reference to the language manager; (gtk_source_language_dispose):
	drop it here; (_gtk_source_language_create_engine): fail if language
	manager died.

2007-06-08  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/gtksourcestylescheme.c: Added secondary-cursor
	and line-numbers styles; made cursor-color styles work in gtk < 2.11.3
	using widget name and rc string trick.
	* docs/reference/tmpl/stylescheme.sgml: documented new styles.
	* gtksourceview/language-specs/testdark.styles: test theme, with black
	background and yellow line numbers.

2007-06-08  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/pkgconfig.lang: highlight variables
	containing dot (e.g. "Requires.private").

2007-06-05  Yevgen Muntyan  <muntyan@tamu.edu>

	* docs/reference/tmpl/stylescheme.sgml: added some docs about style
	scheme files.
	* gtksourceview/regex/glib/gregex.c: synced with Glib.
	* gtksourceview/gtksourcelanguagemanager.c (gtk_source_language_manager_init):
	do not allocate (and leak) GtkSourceLanguageManagerPrivate structure.

2007-06-02  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/ocaml.lang: Port the ocaml.lang
	file to the new syntax. Patch by thelema@swbell.net.

2007-06-02  Paolo Borelli  <pborelli@katamail.com>

	* gtksourceview/language-specs/perl.lang: highlight operators.
	Bug #403915.

2007-06-02  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/regex/glib/gregex.c: newest patched gregex.c, fixes
	here-doc highlighting in shell files.

2007-05-30  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/regex/glib/gregex.c,
	gtksourceview/regex/glib/gregex-real.h: synced with glib.
	* gtksourceview/Makefile.am: made it work with system pcre and with
	glib from svn.
	* gtksourceview/gtksourcelanguage-parser-2.c: updated for changed
	GRegex API.

2007-05-30  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/gtkrc.lang: added line-comment attribute.

	* gtksourceview/libegg: removed
	* gtksourceview/regex: new folders, pcre and gregex.
	* configure.in, acinclude.m4,
	gtksourceview/Makefile.am,
	gtksourceview/gtksourcecontextengine.c,
	gtksourceview/gtksourcelanguage-parser-2.c:

	Ported code from EggRegex to GRegex, updated pcre to verion 7.0.
	pcre now lives in gtksourceview/regex/pcre/; gregex is in gtksourceview/regex/glib,
	so good #include <glib/gregex.h> works.

2007-05-28  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/def.lang: made highlighting inet
	address at line end work.

2007-05-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/language2.rng: allow "translation-domain"
	language attribute.
	* gtksourceview/gtksourcelanguage-private.h:
	* gtksourceview/gtksourcelanguage.c (_gtk_source_language_translate_string):
	new function to translate strings in lang-file domain.
	* gtksourceview/gtksourcelanguage-parser-1.c (parseTag),
	gtksourceview/gtksourcelanguage-parser-2.c (parse_style):
	use it here.
	* gtksourceview/gtksourceview-i18n.h,
	gtksourceview/gtksourceview-i18n.c (_gtksourceview_dgettext):
	new function which does the actual job, and GD_() macro for it.

2007-05-27  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtksourceview/language-specs/def.lang:
	* gtksourceview/language-specs/javascript.lang:
	* gtksourceview/language-specs/po.lang:
	* gtksourceview/language-specs/sql.lang:
	added FIXME comments where \n is used in patterns. Lame, indeed.

	* gtksourceview/gtksourcecontextengine.c: removed obsolete FIXME comment.
	* gtksourceview/language-specs/m4.lang: try to make sure parentheses not
	preceeded by identifier are not treated as function call.
	* gtksourceview/language-specs/gap.lang: added 'infinity' keyword.

	* gtksourceview/language-specs/kate.styles:
	* gtksourceview/language-specs/Makefile.am: "Kate" style scheme.

2007-05-26  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* Makefile.am:
	* gtksourceview/Makefile.am:
	* gtksourceprintjob.[ch]:
	* tests/Makefile.am:

	Modernize build system a bit and remove all traces of gnome-print.

=== gtksourceview 1.90.0 ===

2007-05-26  Steve Frécinaux  <code@istique.net>

	* NEWS:
	* README:
	* configure.ac:

	GtkSourceView 1.90.0 released.

2007-05-26  Steve Frécinaux  <code@istique.net>

	* ChangeLog: fork off a new ChangeLog for the big merge of the
	soc-2006 branch.

	* ChangeLog.20070526: ChangeLog of trunk before the merge
	* ChangeLog.soc-2006: ChangeLog of soc-2006 before the merge
